Bug 1262722 - PCP Python PMAPI pmGetOptionAlignment fails
PCP Python PMAPI pmGetOptionAlignment fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pcp (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nathan Scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 04:01 EDT by Marko Myllynen
Modified: 2016-04-06 10:56 EDT (History)
7 users (show)

See Also:
Fixed In Version: pcp-3.11.1-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-06 10:56:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marko Myllynen 2015-09-14 04:01:40 EDT
Description of problem:
'module' object has no attribute 'pmGetOptionAlignment_sec'
Traceback (most recent call last):
  File "/tmp/test.py", line 125, in <module>
    T.connect()
  File "/tmp/test.py", line 114, in connect
    print self.opts.pmGetOptionAlignment()
  File "/usr/lib64/python2.7/site-packages/pcp/pmapi.py", line 935, in pmGetOptionAlignment
    sec = c_api.pmGetOptionAlignment_sec()
AttributeError: 'module' object has no attribute 'pmGetOptionAlignment_sec'

Version-Release number of selected component (if applicable):
python-pcp-3.10.6
Comment 1 Nathan Scott 2015-09-16 03:12:47 EDT
Thanks Marko, yep, that interface is just plain busted.  Fixed upstream now, will be in pcp-3.10.7 due to arrive in Fedora shortly.
Comment 2 Fedora Update System 2015-09-17 01:40:42 EDT
pcp-3.10.7-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8117
Comment 3 Fedora Update System 2015-09-17 01:45:05 EDT
pcp-3.10.7-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16073
Comment 4 Fedora Update System 2015-09-18 01:20:41 EDT
pcp-3.10.7-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update pcp'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16073
Comment 5 Fedora Update System 2015-09-18 22:46:16 EDT
pcp-3.10.7-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update pcp'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8117
Comment 6 Fedora Update System 2015-10-13 02:53:16 EDT
pcp-3.10.7-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-10-29 17:51:44 EDT
pcp-3.10.8-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-60b17897b4
Comment 8 Fedora Update System 2015-11-01 11:48:11 EST
pcp-3.10.8-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update pcp'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-60b17897b4
Comment 9 Fedora Update System 2015-12-16 21:18:46 EST
pcp-3.10.9-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-2ac90519bc
Comment 10 Fedora Update System 2015-12-17 07:49:34 EST
pcp-3.10.9-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update pcp'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-2ac90519bc
Comment 11 Fedora Update System 2016-02-02 22:57:27 EST
pcp-3.11.0-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-57b7efb2d7
Comment 12 Fedora Update System 2016-02-03 17:17:58 EST
pcp-3.11.0-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-57b7efb2d7
Comment 13 Fedora Update System 2016-03-21 20:18:15 EDT
pcp-3.11.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5b519318e0
Comment 14 Fedora Update System 2016-04-06 10:54:37 EDT
pcp-3.11.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.